cascading.flow.planner

## Class PlatformInfo

- java.lang.Object
- - cascading.flow.planner.PlatformInfo

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PlatformInfo>

    public class PlatformInfo
    extends java.lang.Object
    implements java.io.Serializable, java.lang.Comparable<PlatformInfo>

See Also:
  Serialized Form

### Field Summary

Fields
`java.lang.String` `name`
`static PlatformInfo` `NULL`
`java.lang.String` `vendor`
`java.lang.String` `version`

### Constructor Summary

Constructors
Constructor and Description
`PlatformInfo(java.lang.String name, java.lang.String vendor, java.lang.String version)`

### Method Summary

Methods
`int` `compareTo(PlatformInfo other)`
`boolean` `equals(java.lang.Object object)`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NULL

    public static final PlatformInfo NULL

#### name

    public final java.lang.String name

#### vendor

    public final java.lang.String vendor

#### version

    public final java.lang.String version

### Constructor Detail

#### PlatformInfo

    public PlatformInfo(java.lang.String name,
                java.lang.String vendor,
                java.lang.String version)

### Method Detail

#### compareTo

    public int compareTo(PlatformInfo other)

Specified by:
  `compareTo` in interface `java.lang.Comparable<PlatformInfo>`

#### equals

    public boolean equals(java.lang.Object object)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`